package fr.openium.consentium.api

import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import fr.openium.consentium.data.remote.ConsentiumApi
import fr.openium.consentium.api.mock.ConsentiumMockApi

@Module
@InstallIn(SingletonComponent::class)
internal class ApiModule {

    @Provides
    fun provideConsentiumApi(): ConsentiumApi {
        return ConsentiumMockApi
    }

}